package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class DailyQuizData {

    private int statusCode;
    private String message;
    private int entryFee;
    private float prize;
    private int questionLimit;
    private int livesAvailable;
    private int time;
    @SerializedName("dailyQuizQuestions")
    List<Question> dailyQuizQuestions;

    public DailyQuizData() {
    }

    public DailyQuizData(int statusCode, String message, int entryFee, float prize, int questionLimit, int livesAvailable, int time, List<Question> dailyQuizQuestions) {
        this.statusCode = statusCode;
        this.message = message;
        this.entryFee = entryFee;
        this.prize = prize;
        this.questionLimit = questionLimit;
        this.livesAvailable = livesAvailable;
        this.time = time;
        this.dailyQuizQuestions = dailyQuizQuestions;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getEntryFee() {
        return entryFee;
    }

    public void setEntryFee(int entryFee) {
        this.entryFee = entryFee;
    }

    public float getPrize() {
        return prize;
    }

    public void setPrize(float prize) {
        this.prize = prize;
    }

    public int getQuestionLimit() {
        return questionLimit;
    }

    public void setQuestionLimit(int questionLimit) {
        this.questionLimit = questionLimit;
    }

    public int getLivesAvailable() {
        return livesAvailable;
    }

    public void setLivesAvailable(int livesAvailable) {
        this.livesAvailable = livesAvailable;
    }

    public int getTime() {
        return time;
    }

    public void setTime(int time) {
        this.time = time;
    }

    public List<Question> getDailyQuizQuestions() {
        return dailyQuizQuestions;
    }

    public void setDailyQuizQuestions(List<Question> dailyQuizQuestions) {
        this.dailyQuizQuestions = dailyQuizQuestions;
    }
}
